SDL Library Documentation
Prev |  | Next

# SDL_UnlockSurface

## Name

SDL_UnlockSurface -- Unlocks a previously locked surface.

## Synopsis

    #include "SDL.h"

``void SDL_UnlockSurface`(SDL_Surface *surface);`

## Description

Surfaces that were previously locked using `SDL_LockSurface` must be unlocked with `SDL_UnlockSurface`. Surfaces should be unlocked as soon as possible.

It should be noted that since 1.1.8, surface locks are recursive. See `SDL_LockSurface`.

## See Also

`SDL_LockSurface`

Prev | Home | Next
SDL_LockSurface | Up | SDL_LoadBMP